Bug 252248 - devel/cvs: fix the build on -CURRENT
Summary: devel/cvs: fix the build on -CURRENT
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Xin LI
URL:
Keywords:
Depends on:
Blocks: 252245
  Show dependency treegraph
 
Reported: 2020-12-29 05:46 UTC by Kyle Evans
Modified: 2021-01-03 22:20 UTC (History)
3 users (show)

See Also:
schaiba: maintainer-feedback+


Attachments
git(1) diff against the ports tree (1.93 KB, patch)
2020-12-29 05:46 UTC, Kyle Evans
no flags Details | Diff
Another possible patch (2.66 KB, patch)
2021-01-03 01:24 UTC, Xin LI
schaiba: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle Evans freebsd_committer 2020-12-29 05:46:41 UTC
Created attachment 221068 [details]
git(1) diff against the ports tree

libgnuregex has been removed in -CURRENT. Switch to using the newer version that's provided in ports as of ports r559542.
Comment 1 Fernando Apesteguía freebsd_committer 2020-12-30 18:24:58 UTC
^Triage: Reporter is committer, assign accordingly.

Q/A: devel/cvs/pkg-descr: contains less than 3 lines, make it longer if possible.(currently 2 lines) How about adding a WWW?

/tmp/252248/devel/cvs/files/patch-cvs.info.texinfo-5.x: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
 /tmp/252248/devel/cvs/files/patch-cvs__Makefile: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
 /tmp/252248/devel/cvs/files/patch-src-client.c: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.

Makefile: LIB_DEPENDS don't specify the ABI version number .6 in libgnuregex.so.6 unless it is really necessary. Makefile: LIB_DEPENDS the new format is libFOO.so (e.g., liblibgnuregex.so.6.so). Is the ABI version really necessary?
Comment 2 Kyle Evans freebsd_committer 2020-12-30 18:28:38 UTC
With exception to the last one, these are all pre-existing issues:

<<EOF
Makefile: LIB_DEPENDS don't specify the ABI version number .6 in libgnuregex.so.6 unless it is really necessary. Makefile: LIB_DEPENDS the new format is libFOO.so (e.g., liblibgnuregex.so.6.so). Is the ABI version really necessary?
EOF

The ABI version is necessary because the version in base on older releases is broken and we should prefer to move stuff off of it now that we have motivation to do so (since we need to use the port anyways).
Comment 3 Fernando Apesteguía freebsd_committer 2020-12-30 18:46:35 UTC
(In reply to Kyle Evans from comment #2)

Excellent, thanks!
Comment 4 Xin LI freebsd_committer 2021-01-01 22:52:27 UTC
Ping? :)
Comment 5 Kyle Evans freebsd_committer 2021-01-01 23:00:30 UTC
(In reply to Xin LI from comment #4)

Sorry, I'll do a batch of the approved and unmaintained in a couple hours.
Comment 6 Xin LI freebsd_committer 2021-01-01 23:13:04 UTC
(In reply to Kyle Evans from comment #5)
Hey, thanks for working on the removal of libgnuregex and happy new year!

I was actually surprised that cvs have a dependency on libgnuregex, by the way, the only regular expression that it used was ^[1-9][0-9]*\\.[1-9][0-9]*\\.[1-9][0-9]*$, which should work just fine with our regex(3), so in my version of patch I have just ditched gnuregex dependency and added regex.c to libcvs's build, and it seemed to work just fine (haven't looked deeper), JFYI.
Comment 7 Kyle Evans freebsd_committer 2021-01-01 23:19:14 UTC
(In reply to Xin LI from comment #6)

Huh, yeah, no extensions there... I'll need to look into that a little more, unless you want to go ahead and just take this one over. I'm cool with either option.
Comment 8 Xin LI freebsd_committer 2021-01-03 01:24:30 UTC
Created attachment 221218 [details]
Another possible patch

This removes gnuregex dependency.  Tested with cvs import on a local repository.
Comment 9 schaiba 2021-01-03 07:24:12 UTC
Comment on attachment 221218 [details]
Another possible patch

Is the patch tested against the latest CURRENT?
Comment 10 commit-hook freebsd_committer 2021-01-03 19:21:26 UTC
A commit references this bug:

Author: delphij
Date: Sun Jan  3 19:21:22 UTC 2021
New revision: 560033
URL: https://svnweb.freebsd.org/changeset/ports/560033

Log:
  devel/cvs: remove libgnuregex dependency.

  The only usage of regular expression in cvs was in import.c, and for
  that particular usage, no GNU extension was used; with the removal of
  libgnuregex, we could just drop the dependency and use the base system
  regex(3) instead.

  This fixes build on -CURRENT.

  PR:		252248
  Approved by:	maintainer
  MFH:		2021Q1

Changes:
  head/devel/cvs/Makefile
  head/devel/cvs/files/patch-cvs__Makefile
  head/devel/cvs/files/patch-cvs__lib_Makefile
Comment 11 commit-hook freebsd_committer 2021-01-03 19:23:28 UTC
A commit references this bug:

Author: delphij
Date: Sun Jan  3 19:22:38 UTC 2021
New revision: 560034
URL: https://svnweb.freebsd.org/changeset/ports/560034

Log:
  MFH: r560033

  devel/cvs: remove libgnuregex dependency.

  The only usage of regular expression in cvs was in import.c, and for
  that particular usage, no GNU extension was used; with the removal of
  libgnuregex, we could just drop the dependency and use the base system
  regex(3) instead.

  This fixes build on -CURRENT.

  PR:		252248
  Approved by:	portmgr (build fix blanket)

Changes:
_U  branches/2021Q1/
  branches/2021Q1/devel/cvs/Makefile
  branches/2021Q1/devel/cvs/files/patch-cvs__Makefile
  branches/2021Q1/devel/cvs/files/patch-cvs__lib_Makefile